Update one or multiple product reviews: status, reply, etc.

http
POST https://services.leadconnectorhq.com/products/reviews/bulk-update

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Body

NameTypeRequiredExampleDescription
altIdstringYes6578278e879ad2646715ba9cAccount Id or Agency Id
altTypestringYesPossible values: 'account'
  • reviews (object[], required): Array of Product Reviews

    • reviewId (string, required): Review Id Example: 6578278e879ad2646715ba9c

    • productId (string, required): Product Id Example: 6578278e879ad2646715ba9d

    • storeId (string, required): Store Id Example: a1b2c3d4e5f6g7h8i9j0k1l2

NameTypeRequiredExampleDescription
statusobjectYesapprovedStatus of the review

Responses

201 - Successful response
  • status (boolean, required): Status of api action Example: True

  • message (string): Success message Example: Successfully created

json
{
  "status": true,
  "message": "Successfully created"
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X POST 'https://services.leadconnectorhq.com/products/reviews/bulk-update' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "altId": "6578278e879ad2646715ba9c",
  "altType": "account",
  "reviews": [
    {
      "reviewId": "6578278e879ad2646715ba9c",
      "productId": "6578278e879ad2646715ba9d",
      "storeId": "a1b2c3d4e5f6g7h8i9j0k1l2"
    }
  ],
  "status": "approved"
}'

Last updated October 26, 2026

Was this page helpful?